[**Flutter ETS API Documentation v1.0.0**](../../../README.md)

***

# Class: FlutterRunArguments

A class containing arguments for entering a FlutterNativeView's isolate for the first time.
Contains the bundle path, entrypoint, and library path.

## Constructors

### Constructor

> **new FlutterRunArguments**(`bundlePath`, `entrypoint`, `libraryPath`): `FlutterRunArguments`

Constructs a new FlutterRunArguments instance.

#### Parameters

##### bundlePath

`string`

The path to the Flutter bundle

##### entrypoint

`string`

The entrypoint function name

##### libraryPath

`string`

The path to the Dart library

#### Returns

`FlutterRunArguments`

## Properties

### bundlePath

> **bundlePath**: `string`

The path to the Flutter bundle.

***

### entrypoint

> **entrypoint**: `string`

The entrypoint function name.

***

### libraryPath

> **libraryPath**: `string`

The path to the Dart library.
